///File : MainPanel.hpp
//------------------------------------------------------------------------------
/*
    This file is part of massmol.

    massmol is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    massmol is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with massmol.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#ifndef MAIN_PANEL_HPP
#define MAIN_PANEL_HPP

//------------------------------------------------------------------------------
#include <wx/wxhtml.h>
//------------------------------------------------------------------------------
#include "MasseMolaire.hpp"
//------------------------------------------------------------------------------
class MainPanel : public wxPanel
{
public:
    MainPanel(wxWindow* parent, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL );
    void OnQuit(wxCommandEvent& event);
    void OnCalcul(wxCommandEvent& event);
    void OnAPropos(wxCommandEvent& event);
private:
    wxTextCtrl *m_Molecule;
    wxHtmlWindow *m_ResultMol;
    wxButton /*m_BtOk,*/ *m_BtQuitter, *m_BtAPropos;
    CMasseMolaire m_MaCMasseMolaire;

    enum
    {
        Id_TxtMoleculeEnter
    };

DECLARE_EVENT_TABLE()
};

#endif //MAIN_PANEL_HPP

